Bug 71781 - (SOUND VIA82CXXX) audio noise.
Summary: (SOUND VIA82CXXX) audio noise.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-19 04:06 UTC by Sam Varshavchik
Modified: 2013-07-03 02:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PCI list (7.47 KB, text/plain)
2002-08-19 04:07 UTC, Sam Varshavchik
no flags Details
modules.conf (generated by sndconfig) (406 bytes, text/plain)
2002-08-19 04:08 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2002-08-19 04:06:00 UTC
Description of Problem:

The audio output on the following chipset is full of popping and clicking at the
beginning and/or the end (most of the audio output goes through, but the
beginning and/or the end is full of popping and clicking).

It seems like the popping and clicking occurs whenever /dev/dsp is opened or
closed.  I ran a java applet game, and audio remained perfectly clear for the
duration of the game.  The java VM opens /dev/dsp and holds it open until the VM
shuts down.  The audio from java was clear throughout the gameplay, except for a
loud pop when the java vm started up (and no audio is played).


Version-Release number of selected component (if applicable):

2.8.15-5smp

How Reproducible:

Always

Comment 1 Sam Varshavchik 2002-08-19 04:07:07 UTC
Created attachment 71389 [details]
PCI list

Comment 2 Sam Varshavchik 2002-08-19 04:08:22 UTC
Created attachment 71390 [details]
modules.conf (generated by sndconfig)

Comment 3 Sam Varshavchik 2002-09-10 14:42:43 UTC
This bug still exists in 2.4.18-10


Comment 4 Sam Varshavchik 2002-11-12 22:41:33 UTC
Additional message that sometimes is logged to the console:


Assertion failed! buffer != NULL,via82cxxx_audio.c,via_dsp_write,line=2308

kernel-smp-2.4.18-17.8.0


Comment 5 Sam Varshavchik 2003-03-04 02:45:10 UTC
Hmmm...

Linux 2.4.21pre4-ac5

[ ... ]

o       Supress popping when audio starts on via82cxxx  (Jorg Schuler)

[ ... ]


Comment 6 Bugzilla owner 2004-09-30 15:39:51 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.